# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {'model_name': 'projecttype', 'model_label': _('project type'), 'model_label_plural': _('project types')},
    {'model_name': 'project', 'model_label': _('project'), 'model_label_plural': _('projects')},
    {'model_name': 'projectnumber', 'model_label': _('project number'), 'model_label_plural': _('project numbers')},
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:project_{model['model_name']}_add",
        "perms": [f"project.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:project_{model['model_name']}_changelist",
        "perms": [
            f"project.view_{model['model_name']}",
            f"project.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('project'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'project'}},
    'perms': ['project.*'],
    'children': children
}]
